#!/bin/sh
#---------------------------------------------------------------------
#     Copyright (C) GFD Dennou Club, 2005. All rights reserved.
#---------------------------------------------------------------------
#=begin
#= Shell Script for Run DCPAM
#
#   * Developers: Morikawa Yasuhiro
#   * Version: $Id: dycore.sh,v 1.3 2005/01/03 09:34:34 morikawa Exp $
#   * Tag Name: $Name: dcpam2-20050620 $
#   * Change History: 
#
#=end

PROGRAM=../bin/dycore

RM=rm
SAVELOG=/usr/bin/savelog

OUTPUT=result.nc
LOGFILE=dycore.log
MSGFILE=dycore.msg
NMLFILE=dycore.nml

if [ -x $SAVELOG ] ; then
    if [ -f $OUTPUT ] ; then
	$SAVELOG $OUTPUT
    fi
    if [ -f $LOGFILE ] ; then
	$SAVELOG $LOGFILE
    fi
else
    if [ -f $OUTPUT ] ; then
	$RM $OUTPUT
	echo "remove $OUTPUT"
    fi
    if [ -f $LOGFILE ] ; then
	$RM $LOGFILE
	echo "remove $LOGFILE"
    fi
fi

if [ ! -f $PROGRAM ] ; then 
    echo "$PROGRAM is not found."
    exit 1
elif [ ! -f $NMLFILE ] ; then
    echo "$NMLFILE is not found."
    exit 1
else 
    $PROGRAM 2> $LOGFILE # 1> $MSGFILE
#    $PROGRAM < $NMLFILE 1 > $LOGFILE 2>& 1
    exit 0
fi
